<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| DOWNLOAD DATABASE
+----------------------------------------------------+
| Copyright  2005 Nichelini Giuseppe	
| http://www.nichelini.it/
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

if (file_exists(INFUSIONS."advanced_downloadDB_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."advanced_downloadDB_panel/locale/".$settings['locale'].".php";
} else { include INFUSIONS."advanced_downloadDB_panel/locale/Lithuanian.php"; }
require_once INFUSIONS."advanced_downloadDB_panel/include/functions.php";

$ar_order = array('DL' => $locale['dldb453'],'AZ' => $locale['dldb454']);

if (iMEMBER) {
	if (isset($download_id) && !isNum($download_id)) fallback("index.php");
	if (isset($download_id)) {
		$res = 0;
		if ($data = dbarray(dbquery("SELECT dldb_url,dldb_cat FROM ".DB_PREFIX."adv_dldb WHERE dldb_id='$download_id'"))) {
			$cdata = dbarray(dbquery("SELECT * FROM ".DB_PREFIX."adv_dldb_cats WHERE dldb_cat_id='".$data['dldb_cat']."'"));
			if (checkgroup($cdata['dldb_cat_access'])) {
				$res = 1;
				$result = dbquery("UPDATE ".DB_PREFIX."adv_dldb SET dldb_count=dldb_count+1 WHERE dldb_id='$download_id'");
				redirect($data['dldb_url']);
			}
		}
		if ($res == 0) redirect("dldb.php");
	}
	
	if (($op == "view") && ($id > 0)) {
		require_once INCLUDES."comments_include.php";
		require_once INCLUDES."ratings_include.php";
		$result1 = dbquery("SELECT * FROM ".DB_PREFIX."adv_dldb WHERE dldb_id='".$id."'");
		while ($data = dbarray($result1)) {
			$id = $data['dldb_id'];	
			opentable($locale['dldb302'].$locale['dldb305'].$data[dldb_title]);
			echo "<table border='0' cellpadding='0' cellspacing='1' width='100%'>";
			echo "<tr>";
			echo "<td width='100%'>";
			echo "<table cellSpacing='0' cellPadding='0' width='100%' border='0' class='tbl-border'>";
			echo "<tr><td width='100%'>\n";
			echo "<table width='100%' border='0' cellpadding='0' cellspacing='1'>\n";
			echo "<tr>";
			echo "<td class='tbl2' width='12%' nowrap><b>".$locale['dldb207']."</b></td>\n";
			echo "<td class='tbl1' width='38%' nowrap><a title='".$locale['dldb304']."' href='".FUSION_SELF."?op=".$op."&download_id=".$data['dldb_id']."' target='_blank'>".$data['dldb_title']."</a></td>\n";
			echo "<td class='tbl2' width='12%' nowrap><b>".$locale['dldb204']."</b></td>\n";
			echo "<td class='tbl1' width='38%' nowrap>".showdate("%d.%m.%y", $data['dldb_datestamp'])."</td>\n";
			echo "</tr>\n";
			echo "<tr>";
			echo "<td class='tbl2' width='12%' nowrap><b>".$locale['dldb212']."</b></td>\n";
			echo "<td class='tbl1' width='38%' nowrap>".RetCatName($data['dldb_cat'])."</td>\n";
			echo "<td class='tbl2' width='12%' nowrap><b>".$locale['dldb205']."</b></td>\n";
			echo "<td class='tbl1' width='38%' nowrap>".$data['dldb_author']."</td>\n";
			echo "</tr>\n";
			echo "<tr>";
			echo "<td class='tbl2' width='12%' nowrap><b>".$locale['dldb201']."</b></td>\n";
			echo "<td class='tbl1' width='38%' nowrap>".$data['dldb_license']."</td>\n";
			echo "<td class='tbl2' width='12%' nowrap><b>".$locale['dldb211']."</b></td>\n";
			echo "<td class='tbl1' width='38%' nowrap><a href='http://".$data['dldb_website']."' target='_blank'>".$data['dldb_website']."</a></td>\n";
			echo "</tr>\n";
			echo "<tr>";
			echo "<td class='tbl2' width='12%' nowrap><b>".$locale['dldb202']."</b></td>\n";
			echo "<td class='tbl1' width='38%' nowrap>".$data['dldb_os']."</td>\n";
			echo "<td class='tbl2' width='12%' nowrap><b>".$locale['dldb215']."</b></td>\n";
			echo "<td class='tbl1' width='38%' nowrap><a href='mailto:".$data['dldb_email']."'>".$data['dldb_email']."</a></td>\n";
			echo "</tr>\n";
			echo "<tr>";
			echo "<td class='tbl2' width='12%' nowrap><b>".$locale['dldb203']."</b></td>\n";
			echo "<td class='tbl1' width='38%' nowrap>".$data['dldb_version']."</td>\n";
			echo "<td class='tbl2' width='12%' nowrap><b>".$locale['dldb209']."</b></td>\n";
			echo "<td class='tbl1' valign='top' align='left' width='38%'>".CalcolaVoto($id)."</td>\n";
			echo "</tr>\n";
			echo "<tr>";
			echo "<td class='tbl2' width='12%' nowrap><b>".$locale['dldb214']."</b></td>\n";
			echo "<td class='tbl1' width='38%' nowrap>".$data['dldb_filesize']."</td>\n";
			echo "<td class='tbl2' width='12%' nowrap><b>".$locale['dldb216']."</b></td>\n";
			echo "<td class='tbl1' width='38%' nowrap>".$data['dldb_count']."</td>\n";
			echo "</tr>\n";
			echo "<tr><td class='tbl2' colspan='4'><b>".$locale['dldb208']."</b></td></tr>\n";
			echo "<tr><td class='tbl1' colspan='4'>".nl2br(parseubb($data['dldb_description']))."</td></tr>\n";
			echo "</table>\n";		
			echo "</td></tr></table>\n";
			echo "</td></tr></table>\n";
			showcomments("D","adv_dldb","dldb_id",$id,"dldb.php?op=view&id=$id");
			showratings("D",$id,FUSION_SELF."?op=view&id=$id");
		}
		closetable();
	} else {
		echo "<form name='' method='post' action='".FUSION_SELF."'>\n";
		opentable($locale['dldb100']." - v.".$locale['dldb103']);				
		echo "<table width='100%' align='center' cellspacing='0' cellpadding='0' border='0'>\n";
		echo "<tr><td class='tbl' width='100%' align='right'>".$locale['dldb451']."</td>";
    	echo "<td valign=top class='tbl'>\n";
        echo "<select name='cat_id' class='textbox' onChange='submit()'>\n";
        echo "<option value=''>".$locale['dldb452']."</option>\n";
    	$rescat = dbquery("SELECT * FROM ".$db_prefix."adv_dldb_cats ORDER BY dldb_cat_name ASC");
    	while ($data = dbarray($rescat)) {
    		if ( $cat_id == $data["dldb_cat_id"]) { echo "<option value='".$data["dldb_cat_id"]."' selected>".$data["dldb_cat_name"]."</option>\n"; }
    		else { echo "<option value='".$data["dldb_cat_id"]."'>".$data["dldb_cat_name"]."</option>\n"; }
    		}
    	echo "</select></td></tr>\n";
		echo "</table>\n";
		echo "<table width='100%' align='center' cellspacing='0' cellpadding='0' border='0'>\n";
		//echo "<form name='' method='post' action='".FUSION_SELF."'>\n";
		echo "<tr><td valign=top class='tbl'>\n";
		echo "<input type='submit' name='type' value='".$locale['dldb450']."' class='button'>&nbsp;&nbsp;\n";
		echo "<input type='radio' name='type_id' value='2'".($type_id == "2" ? " checked" : "")."> ".$locale['dldb453']."&nbsp;&nbsp;\n";
		echo "<input type='radio' name='type_id' value='3'".($type_id == "3" ? " checked" : "")."> ".$locale['dldb455']."&nbsp;&nbsp;\n";
		echo "<input type='radio' name='type_id' value='1'".($type_id == "1" ? " checked" : "")."> ".$locale['dldb454']."\n";
    	echo "</td></tr>\n";
		echo "</form></table>\n";
		if ($cat_id > 0) { $where = " WHERE dldb_cat='".$cat_id."'";} else { $where = "";}
		if ($type_id == 2) { $order = " dldb_count DESC";} 
		elseif ($type_id == 3) { $order = " dldb_datestamp DESC";}
		else { $order = " dldb_title ASC";}
		$TotCats = dbrows(dbquery("SELECT * FROM ".$db_prefix."adv_dldb_cats"));
		$TotObj  = dbrows(dbquery("SELECT * FROM ".$db_prefix."adv_dldb".$where));
		$rows = $TotCats + $TotObj;
		if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
		$items_per_page = 17;
		echo "<table width='100%' align='center' cellspacing='0' cellpadding='0' border='0' class='tbl-border'>\n";
		echo "<tr><td><table width='100%' align='center' border='0' cellpadding='0'>\n";
		echo "<tr>";
		echo "<td class='tbl2' valign='top' align='left' width='50%' colspan='2'><b>".$locale['dldb207']."</b></td>\n";
		echo "<td class='tbl2' valign='top' align='left' width='10%'><b>".$locale['dldb205']."</b></td>\n";
		echo "<td class='tbl2' valign='top' align='left' width='10%'><b>".$locale['dldb203']."</b></td>\n";
		echo "<td class='tbl2' valign='top' align='left' nowrap width='10%'><b>".$locale['dldb204']."</b></td>\n";
		echo "<td class='tbl2' valign='top' align='left' nowrap width='10%'><b>".$locale['dldb216']."</b></td>\n";
		echo "<td class='tbl2' valign='top' align='left' nowrap width='10%'><b>".$locale['dldb209']."</b></td>\n";
		echo "</tr>\n";
		$catname = "";
		if ($cat_id > 0) { $where2 = " AND dldb_cat ='".$cat_id."'";} else { $where2 = "";}
		$myquery =" SELECT tu.*, tn.*, dldb_cat_id, dldb_cat_name FROM ".$db_prefix."adv_dldb_cats tn 
					LEFT JOIN ".$db_prefix."adv_dldb tu ON tn.dldb_cat_id=tu.dldb_cat 
					WHERE dldb_id!=''".$where2." ORDER BY dldb_cat_name ASC,".$order." LIMIT $rowstart,$items_per_page";
		$result1 = dbquery($myquery);
		if (dbrows($result1)>0) {
			while ($data = dbarray($result1)) {	
				if ( ($catname == "") || ($catname != $data['dldb_cat_name']) ) { 
					$catname = $data['dldb_cat_name'];
					echo "<tr><td class='forum-caption' colspan='7'>".$catname."</td></tr>\n"; 
				}		
				if ($data['dldb_datestamp']+604800 > time()+($settings['timeoffset']*3600)) { $new = "<img src='".INFUSIONS."advanced_downloadDB_panel/images/new.gif' border='0'>"; } 
				else { $new = "<img src='".THEME."images/blank.gif' width='20' height='1' border='0'>"; }			
				echo "<tr>";
				echo "<td class='tbl1' valign='middle' align='left'>".$new."</td>\n";
				echo "<td class='tbl1' valign='top' align='left' width='50%'><a title='".$locale['dldb302']."' href='".FUSION_SELF."?op=view&id=".$data[dldb_id]."'>".$data[dldb_title]."</a></td>\n";
				echo "<td class='tbl1' valign='top' align='left' width='10%'>".$data['dldb_author']."</td>\n";
				echo "<td class='tbl1' valign='top' align='center' width='10%'>".$data['dldb_version']."</td>\n";
				echo "<td class='tbl1' valign='top' align='center' nowrap width='10%'>".showdate("%d/%m/%Y", $data['dldb_datestamp'])."</td>\n";
				echo "<td class='tbl1' valign='top' align='right' width='10%'>".$data['dldb_count']."</td>\n";				
				echo "<td class='tbl1' valign='top' align='right' width='10%'>".CalcolaVoto($data[dldb_id])."</td>\n";
				echo "</tr>\n";
			}
		}
		echo "</table>\n";
		echo "</td></tr></table>\n";
		closetable();
	}
	if ($rows > $items_per_page) echo "<div align='center' style='margin-top:5px;'>".makePageNav($rowstart,$items_per_page,$rows,1,FUSION_SELF."?")."\n</div>\n";
} else {
	opentable($locale['dldb100']." - v.".$locale['dldb103']);	
	echo "<div align='center' style='margin-top:5px;'><b>".$locale['dldb104']."</b></div>\n";
	closetable();
}
require BASEDIR."side_right.php";
require BASEDIR."footer.php";

function CalcolaVoto ($id) {
global $locale;

$num_votes = dbresult(dbquery("SELECT COUNT(rating_item_id) FROM ".DB_PREFIX."ratings WHERE rating_item_id='".$id."' AND rating_type='D'"),0);
$tot_votes = dbresult(dbquery("SELECT SUM(rating_vote) FROM ".DB_PREFIX."ratings WHERE rating_item_id='".$id."' AND rating_type='D'"),0);
if (( $num_votes > 0 ) && ($tot_votes > 0)) {
	$pct_rating = ceil(round($tot_votes / $num_votes));
	$voto = "<img src='".IMAGES."cube_".$pct_rating.".gif' border='0'>";
} else { $voto = "0 ".$locale['dldb219']; } 
return $voto;
}
?> 