<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright (c) 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");

if (file_exists(INFUSIONS."advanced_downloadDB_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."advanced_downloadDB_panel/locale/".$settings['locale'].".php";
} else { include INFUSIONS."advanced_downloadDB_panel/locale/Lithuanian.php"; }
require_once INFUSIONS."advanced_downloadDB_panel/include/functions.php";

if (iMEMBER) {
	if (isset($cat_id) && !isNum($cat_id)) fallback("index.php");
	if (isset($step) && $step == "delete") {
		$result = dbquery("SELECT * FROM ".DB_PREFIX."adv_dldb WHERE dldb_cat='$cat_id'");
		if (dbrows($result) != 0) {
			opentable($locale['dldb400']);
			echo "<center><br>".$locale['dldb401']."<br>\n";
			echo "<span class='small'>".$locale['dldb402']."</span><br><br>\n";
			echo "<a href='advanced_dldb_admin.php'>".$locale['dldb403']."</a><br><br>\n";
			echo "<a href='".BASEDIR."index.php'>".$locale['dldb404']."</a><br><br>\n";
			echo "</center>\n";
		} else {
			$result = dbquery("DELETE FROM ".DB_PREFIX."adv_dldb_cats WHERE dldb_cat_id='$cat_id'");
			opentable("Delete Download Category");
			echo "<center><br>".$locale['dldb405']."<br><br>\n";
			echo "<a href='".FUSION_SELF."'>".$locale['dldb403']."</a><br><br>\n";
			echo "<a href='".BASEDIR."index.php'>".$locale['dldb404']."</a><br><br>\n";
			echo "</center>\n";
		}
		closetable();
	} else {
		if (isset($_POST['save_cat'])) {
			$cat_name = stripinput($_POST['cat_name']);
			$cat_description = stripinput($_POST['cat_description']);
			$cat_access = isNum($_POST['cat_access']) ? $_POST['cat_access'] : "0";
			if (isset($step) && $step == "edit") {
				$result = dbquery("UPDATE ".DB_PREFIX."adv_dldb_cats SET dldb_cat_name='$cat_name', dldb_cat_description='$cat_description', dldb_cat_access='$cat_access' WHERE dldb_cat_id='$cat_id'");
			} else {
				$result = dbquery("INSERT INTO ".DB_PREFIX."adv_dldb_cats VALUES('', '$cat_name', '$cat_description', '$cat_access')");
			}
			header("Location: advanced_dldb_admin.php");
		}
		if (isset($step) && $step == "edit") {
			$result = dbquery("SELECT * FROM ".DB_PREFIX."adv_dldb_cats WHERE dldb_cat_id='$cat_id'");
			$data = dbarray($result);
			$cat_name = $data['dldb_cat_name'];
			$cat_description = $data['dldb_cat_description'];
			$cat_access = $data['dldb_cat_access'];
			$formaction = FUSION_SELF."?step=edit&cat_id=".$data['dldb_cat_id'];
			opentable($locale['dldb420']);
		} else {
			$cat_name = "";
			$cat_description = "";
			$cat_access = "";
			$formaction = FUSION_SELF;
			opentable($locale['dldb421']);
		}
		$user_groups = getusergroups(); $access_opts = ""; $sel = "";
		while(list($key, $user_group) = each($user_groups)){
			$sel = ($cat_access == $user_group['0'] ? " selected" : "");
			$access_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
		}
		echo "<table border='0' cellpadding='0' cellspacing='1' width='100%'>\n";;
		echo "<tr><td width='100%'>",dldb_toolbar(),"</td></tr>\n";
		echo "</table>\n";
		tablebreak();
		echo "<form name='addcat' method='post' action='$formaction'>\n";
		echo "<table width='480' cellspacing='0' cellpadding='0' border='0'>\n";
		echo "<tr><td class='tbl' nowrap>".$locale['dldb430']."</td>\n";
		echo "<td class='tbl'><input type='text' name='cat_name' value='$cat_name' class='textbox' style='width:200px;'></td></tr>\n";
		echo "<tr><td class='tbl' nowrap>".$locale['dldb431']."</td>\n";
		echo "<td class='tbl'><input type='text' name='cat_description' value='$cat_description' class='textbox' style='width:250px;'></td></tr>\n";
		echo "<tr><td class='tbl' nowrap>".$locale['dldb433']."</td>\n";
		echo "<td class='tbl'><select name='cat_access' class='textbox' style='width:150px;'>".$access_opts."</select></td></tr>\n";
		echo "<tr><td align='center' colspan='2' class='tbl'><input type='submit' name='save_cat' value='".$locale['dldb432']."' class='button'></td></tr>\n";
		echo "</table>\n";
		echo "</form>\n";
		echo "</td></tr></table>\n";
		closetable();
		tablebreak();
		opentable($locale['dldb440']);
		echo "<table width='480' cellspacing='0' cellpadding='0' border='0'>\n";
		$result = dbquery("SELECT * FROM ".DB_PREFIX."adv_dldb_cats ORDER BY dldb_cat_name");
		if (dbrows($result) != 0) {
			echo "<tr><td class='tbl2'>".$locale['dldb441']."</td>\n";
			echo "<td align='center' class='tbl2'>".$locale['dldb445']."</td>\n";
			echo "<td align='right' width='60' class='tbl2'>".$locale['dldb442']."</td>\n";
			echo "</tr>\n";
			while ($data = dbarray($result)) {
				echo "<tr><td class='tbl2'><li>&nbsp;<a href='".FUSION_SELF."?step=edit&cat_id=".$data['dldb_cat_id']."'>".$data['dldb_cat_name']."</a><br>\n";
				echo "<span class='small'>".trimlink($data['dldb_cat_description'], 45)."</span></td>\n";
				echo "<td align='center' class='tbl1'>".getgroupname($data['dldb_cat_access'])."</td>\n";
				echo "<td align='right' class='tbl1'><a href='".FUSION_SELF."?step=delete&cat_id=".$data['dldb_cat_id']."'><img src=".INFUSIONS."advanced_downloadDB_panel/images/delete.gif border='0' alt='".$locale['dldb443']."'></a></td></tr>\n";
			}
			echo "</table>\n";
		} else { echo "<tr><td align='center' class='tbl1'>".$locale['dldb444']."</td></tr>\n</table>\n"; }
		closetable();
	}
	echo "</td></tr></table>\n";
} else {
	opentable($locale['dldb100']." - v.".$locale['dldb103']);	
	echo "<div align='center' style='margin-top:5px;'><b>".$locale['dldb104']."</b></div>\n";
	closetable();
}
require_once BASEDIR."footer.php";
?>