<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright (c) 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");

if (file_exists(INFUSIONS."advanced_downloadDB_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."advanced_downloadDB_panel/locale/".$settings['locale'].".php";
} else { include INFUSIONS."advanced_downloadDB_panel/locale/Lithuanian.php"; }
require_once INFUSIONS."advanced_downloadDB_panel/include/functions.php";
if (iMEMBER) {
	if (!isset($ifolder)) $ifolder = "imagesd";
	if ($ifolder == "imagesd") { $afolder = IMAGES_D; }
	
	if (isset($del)) {
		unlink($afolder."$del");
		opentable($locale['dldb600']);
		echo "<center><br>".$locale['dldb601']."<br><br>\n";
		echo "<a href='".FUSION_SELF."?ifolder=$ifolder'>".$locale['dldb602']."</a><br><br>\n";
		echo "<a href='index.php'>".$locale['dldb603']."</a><br><br>\n";
		echo "</center>\n";
		closetable();
	} else if (isset($_POST['uploadimage'])) {
		$error = "";
		$image_types = array( ".gif", ".GIF", ".jpeg", ".JPEG", ".jpg", ".JPG", ".png", ".PNG" );
		$imgext = strrchr($_FILES['myfile']['name'], ".");
		$imgname = $_FILES['myfile']['name'];
		$imgsize = $_FILES['myfile']['size'];
		$imgtemp = $_FILES['myfile']['tmp_name'];
		if (!in_array($imgext, $image_types)) {
			$error = "<center><br>".$locale['dldb625']."<br><br>
					<a href='".FUSION_SELF."?ifolder=$ifolder'>".$locale['dldb602']."</a><br><br>
					<a href='".BASEDIR."index.php'>".$locale['dldb603']."</a><br><br>
					</center>\n";
		}
		opentable($locale['dldb620']);
		if ($error == "") {		
			if (is_uploaded_file($imgtemp)){
				move_uploaded_file($imgtemp, $afolder.$imgname);
				chmod($afolder.$imgname,0644);
				$nameimage   = substr($afolder.$imgname, 0, -strlen($imgext));  
				$smallImage  = $nameimage."_small".$imgext;
				createThumbnail($afolder.$imgname,$smallImage,100,100);
				echo "<center><br><img src='".$smallImage."'><br><br>".$locale['dldb626']."<br><br>\n";
				echo "<a href='".FUSION_SELF."?ifolder=$ifolder'>".$locale['dldb602']."</a><br><br>\n";
				echo "<a href='".BASEDIR."index.php'>".$locale['dldb603']."</a><br><br>\n";
				echo "</center>\n";
			}
		} else { echo "$error\n"; }
		closetable();
	} else {
		opentable($locale['dldb620']);
		echo "<table border='0' cellpadding='0' cellspacing='1' width='100%'>\n";;
		echo "<tr><td width='100%'>",dldb_toolbar(),"</td></tr>\n";
		echo "</table>\n";
		tablebreak();
		echo "<form name='uploadform' method='post' action='".FUSION_SELF."?ifolder=$ifolder' enctype='multipart/form-data'>\n";
		echo "<table width='350' cellspacing='0' cellpadding='0'>\n";
		echo "<tr><td class='tbl'>".$locale['dldb621']."</td>\n";
		echo "<td class='tbl'><input type='file' name='myfile' class='textbox' style='width:250px;'></td></tr>\n";
		echo "<tr><td align='center' colspan='2' class='tbl'>\n";
		echo "<input type='submit' name='uploadimage' value='".$locale['dldb620']."' class='button'></td></tr>\n";
		echo "</table>\n";
		echo "</form>\n";
		echo "</td></tr></table>\n";
		closetable();
		tablebreak();
		if (isset($view)) {
			opentable($locale['dldb640']);
			echo "<center><br>\n";
			$image_ext = strrchr($afolder.$view,".");
			if (in_array($image_ext, array(".gif",".GIF",".jpg",".JPG",".jpeg",".JPEG",".png",".PNG"))) {
				echo "<img src='".$afolder.$view."'><br><br>\n";
			} else { echo $locale['dldb641']."<br><br>\n"; }
			echo "<a href='".FUSION_SELF."?del=$view'>".$locale['dldb642']."</a><br><br>\n<a href='".FUSION_SELF."'>".$locale['dldb602']."</a><br><br>\n</center>\n";
			closetable();
		} else {
			$image_list = makefilelist($afolder, ".|..|index.php", true);
			if ($image_list) { $image_count = count($image_list); }
			opentable($locale['dldb660']);
			echo "<table width='480' cellpadding='0' cellspacing='0' border='0'>\n";
			echo "<tr><td align='center' class='tbl2'><a href='".FUSION_SELF."?ifolder=imagesd'><b>".$locale['dldb627']."</b></a></td></tr>\n";
			echo "</table>\n";
			echo "<table width='480' cellpadding='0' cellspacing='0' border='0'>\n";
			echo "<tr><td class='tbl2'>".$locale['dldb660']."</td>\n";
			echo "<td align='center' class='tbl2'>".$locale['dldb442']."</td></tr>\n";
			if ($image_list) {
				for ($i=0;$i < $image_count;$i++) {
					echo "<tr>\n<td width='100%' class='tbl1' valign='middle'>$image_list[$i]</td>\n";
					echo "<td align='center' class='tbl1' nowrap><a href='".FUSION_SELF."?ifolder=$ifolder&view=$image_list[$i]'><img src=".INFUSIONS."advanced_downloadDB_panel/images/view.gif border='0' alt='".$locale['dldb661']."'></a>\n";
					echo "<a href='".FUSION_SELF."?ifolder=$ifolder&del=$image_list[$i]'><img src=".INFUSIONS."advanced_downloadDB_panel/images/delete.gif border='0' alt='".$locale['dldb662']."'></a></td>\n";
					echo "</tr>\n";
				}
			} else { echo "<tr>\n<td align='center' class='tbl1'>".$locale['dldb663']."</td>\n</tr>\n"; }
			echo "</table>\n";
			closetable();
		}
	}
	
	echo "</td></tr></table>\n";
} else {
	opentable($locale['dldb100']." - v.".$locale['dldb103']);	
	echo "<div align='center' style='margin-top:5px;'><b>".$locale['dldb104']."</b></div>\n";
	closetable();
}
require_once BASEDIR."footer.php";
?>