<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."advanced_downloadDB_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."advanced_downloadDB_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."advanced_downloadDB_panel/locale/Lithuanian.php";
}

// Infusion general information
$inf_title = $locale['dldb100'];
$inf_description = $locale['dldb101'];
$inf_version = $locale['dldb103'];
$inf_developer = "Nick56";
$inf_email = "giuseppe@nichelini.it";
$inf_weburl = "http://www.nichelini.it";

$inf_folder = "advanced_downloadDB_panel"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "advanced_dldb_admin.php"; // The admin panel filename if required.

$inf_link_name = $locale['dldb102']; // if not required replace $locale['xxx103']; with "";
$inf_link_url = "dldb.php"; // The filename you wish to link to.
$inf_link_visibility = "101"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 2; // Number of new db tables to create or drop.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.
$inf_newtable_[1] = "adv_dldb (
  dldb_id smallint(5) unsigned NOT NULL auto_increment,
  dldb_title varchar(100) NOT NULL default '',
  dldb_description text NOT NULL,
  dldb_url varchar(200) NOT NULL default '',
  dldb_cat smallint(5) unsigned NOT NULL default '0',
  dldb_license varchar(50) NOT NULL default '',
  dldb_os varchar(50) NOT NULL default '',
  dldb_version varchar(20) NOT NULL default '',
  dldb_filesize varchar(20) NOT NULL default '',
  dldb_author varchar(100) NOT NULL default '',
  dldb_email varchar(100) NOT NULL default '0',
  dldb_website varchar(100) NOT NULL default '',
  dldb_image varchar(50) NOT NULL default '',
  dldb_datestamp int(10) unsigned NOT NULL default '0',
  dldb_rating tinyint(4) NOT NULL default '0',
  dldb_count smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (dldb_id)
) TYPE=MyISAM;";

$inf_newtable_[2] = "adv_dldb_cats (
  dldb_cat_id smallint(5) unsigned NOT NULL auto_increment,
  dldb_cat_name varchar(100) NOT NULL default '',
  dldb_cat_description varchar(200) NOT NULL default '',
  dldb_cat_access tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (dldb_cat_id)
) TYPE=MyISAM;";

$inf_droptable_[1] = "adv_dldb";
$inf_droptable_[2] = "adv_dldb_cats";
?>